%define upstream_name    WWW-Mechanize-TreeBuilder
%define upstream_version 1.20000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    combine WWW::Mechanize and HTML::TreeBuilder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTML::TreeBuilder::XPath)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize)
Requires: perl(HTML::TreeBuilder)
BuildArch: noarch

%description
This module combines the WWW::Mechanize manpage and the HTML::TreeBuilder
manpage. Why? Because I've seen too much code like the following:

 like($mech->content, qr{<p>some text</p>}, "Found the right tag");

Which is just all flavours of wrong - its akin to processing XML with
regexps.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.200.0-9.mga10
+ Revision: 2204804
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.200.0-8.mga9
+ Revision: 1810567
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-7.mga8
+ Revision: 1506949
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.200.0-6.mga7
+ Revision: 1287278
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.200.0-5.mga7
+ Revision: 1167368
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.200.0-4.mga7
+ Revision: 1157370
- fix build

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1035773
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 951128
- Mageia 6 Mass Rebuild

* Sun Dec 07 2014 sander85 <sander85> 1.200.0-1.mga5
+ Revision: 802015
- update to 1.20000
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Fri Oct 18 2013 umeabot <umeabot> 1.100.30-3.mga4
+ Revision: 515985
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.30-2.mga3
+ Revision: 374752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.100.30-1.mga1
+ Revision: 41292
- mageia rebuild
- imported package perl-WWW-Mechanize-TreeBuilder

